Subject: [mpls] FW: MIB Doctor review: draft-ietf-mpls-lc-if-mib-02.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 29 Jul 2004 23:10:39 +0200

resending to [email-masked]
below was to [email-masked]

Thanks,
Bert 

-----Original Message-----
From: Wijnen, Bert (Bert) 
Sent: woensdag 28 juli 2004 23:33
To: Mpls (E-mail)
Subject: MIB Doctor review: draft-ietf-mpls-lc-if-mib-02.txt

Mmm... so supposedly this has been checked against MIB review 
guidelines and ID-Checklist and such ?

Oh well... here we go.

- The abstract should NOT be numbered and normally appear before
  the toc.
    $ idnits-v1.33 <drafts/draft-ietf-mpls-lc-if-mib-02.txt
    idnits 1.33 (09 Jul 2004)
    Abstract section seems to be numbered

- The abstract talks about "MIBs" where as it should use the term
  "MIB modules". So does introduction and maybe other places.
- The abstract seems incomplete, cause it does not tell that there
  are also MIB Object Definitions (or a MIB Module) in the document.

- This text in sect 2
      This memo does not, in its draft form, specify a standard for the
      Internet community.
  is correct, but should be removed (or rfc-ed instructions to remove it) 
  before this goes to IETF Last Call

- RFC2026 is in references section, but it is never cited. It should not
  be cited (as per RFC-Editor instructions and ID_Checklist), so that
  is correct, but then a reference is not needed either

- The MPLS-LC-FR-STD-MIB IMPORTS from RFC2115, so that must be listed as a
  normative reference, and there must be a citation to it somehwere in the
  text.

- The MPLS-LC-ATM-STD-MIB IMPORTS from RFC2514, so that must be listed as a
  normative reference, and there must be a citation to it somehwere in the
  text.

- mplsLcAtmStdMIB MODULE-IDENTITY
   LAST-UPDATED "200405011200Z"  -- 01 May 2004 12:00:00 GMT
   ORGANIZATION "Multiprotocol Label Switching (MPLS) Working Group"
   CONTACT-INFO
       "        Thomas D. Nadeau
        Postal: Cisco Systems, Inc.
                250 Apollo Drive
                Chelmsford, MA 01824
        Tel:    +1-978-244-3051
        Email:  [email-masked]

                Subrahmanya Hegde
        Postal: Cisco Systems, Inc.
                225 East Tazman Drive
        Tel:    +1-408-525-6562
        Email:  [email-masked]
        General comments should be sent to [email-masked]
       "
   DESCRIPTION
       "This MIB contains managed object definitions for
        MPLS Label Controlled ATM interfaces as defined in
        RFC3035."
  Must add copyright text

- mplsLcFrStdMIB MODULE-IDENTITY
   LAST-UPDATED "200405011200Z"  -- 01 May 2004 12:00:00 GMT
   ORGANIZATION "Multiprotocol Label Switching (MPLS) Working Group"
   CONTACT-INFO
       "        Thomas D. Nadeau
                Cisco Systems, Inc.
        Email:  [email-masked]

                Subrahmanya Hegde
        Email:  [email-masked]
        General comments should be sent to [email-masked]
       "
   DESCRIPTION
       "This MIB contains managed object definitions for
        MPLS Label Controlled Frame-Relay interfaces as defined
        in RFC3034."

   -- Revision history.
   REVISION
        "200405011200Z"  -- 01 May 2004 12:00:00 GMT
   DESCRIPTION
       "Initial draft revision."
   ::= { mplsStdMIB XXX } -- To Be Assigned by IANA

  Should have Copyright text in the first DESCRIPTION clause
  REVISION DESCRIPTION clause better be:
   DESCRIPTION
       "Initial version, published as RFC xxxx."
       -- RFC Editor please fill in xxxx

If you're doing an update anyway, you migth at same time fill in RFC numbers
for the MPLS MIB documents that were published as RFC a few weeks back.

Next time, also pls use boilerplate of RFC3667/3668.

And while you are at it:

- mplsLcAtmStdInterfaceConfRowStatus
        entries in this table, the corresponding
        corresponding ifEntry and mplsInterfaceConfEntry
  has 2 consecutive "corresponding"

Thanks,
Bert 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls